Ana içeriğe atla
POST
/
api
/
v1
/
webhooks
/
configure
Webhook Yapilandir
curl --request POST \
  --url https://api.example.com/api/v1/webhooks/configure \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>"
}
'

Webhook Yapilandir

Webhook URL’nizi ayarlar veya gunceller. Hesap basina yalnizca bir URL.

Istek govdesi

url
string
gerekli
HTTPS webhook URL’si

Ornek

curl -X POST https://api.tronrental.com/v1/webhooks/configure \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"url": "https://yourserver.com/webhook/tronrental"}'
Response
{
  "url": "https://yourserver.com/webhook/tronrental",
  "secret": "whsec_abc123...",
  "active": true,
  "created_at": "2026-03-05T12:00:00Z"
}
Webhook’u kaldirmak icin bos bir URL gonderin veya kontrol panelinden silin.